CVE-2015-1545

NameCVE-2015-1545
DescriptionThe deref_parseCtrl function in servers/slapd/overlays/deref.c in OpenLDAP 2.4.13 through 2.4.40 allows remote attackers to cause a denial of service (NULL pointer dereference and crash) via an empty attribute list in a deref control in a search request.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-203-1, DSA-3209-1
NVD severitymedium
Debian Bugs776988

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openldap (PTS)stretch (security), stretch2.4.44+dfsg-5+deb9u4fixed
buster, buster (security)2.4.47+dfsg-3+deb10u2fixed
bullseye, sid2.4.50+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
openldapsourcesqueeze2.4.23-7.3+deb6u1DLA-203-1
openldapsourcewheezy2.4.31-2DSA-3209-1
openldapsource(unstable)2.4.40-4776988

Notes

[wheezy] - openldap <no-dsa> (Minor issue)
[squeeze] - openldap <no-dsa> (Minor issue)
http://www.openldap.org/its/?findid=8027
http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=commitdiff;h=c32e74763f77675b9e144126e375977ed6dc562c

Search for package or bug name: Reporting problems